Page MenuHomePhabricator

Remove uses of PHP classes from Wikibase Repo in Client and Lib
Closed, ResolvedPublic

Description

As a developer, I want to have strict separations between the different Wikibase extensions (e. g. Repo may use Lib but Lib may not use Repo), so that it’s straightforward to tell where which code is used.

Problem:
In T255110, we identified a few places where Repo is referenced in Lib or Client. This is the parent task to get rid of those uses.

Example:

Screenshots/mockups:

BDD
GIVEN
AND
WHEN
AND
THEN
AND

Acceptance criteria:

  • Repo code is not referenced outside of Repo.
  • A test is set up to ensure that no unwanted references to Repo code are added in the future, either.

Open questions:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2020, 4:17 PM
WMDE-leszek renamed this task from Remove uses of Wikibase Repo in Client and Lib to Remove uses of PHP classes from Wikibase Repo in Client and Lib.Jun 22 2020, 8:21 PM
Lucas_Werkmeister_WMDE closed this task as Resolved.Aug 7 2020, 1:54 PM
Lucas_Werkmeister_WMDE claimed this task.
$ git grep -F 'Wikibase\Repo' client/ data-access/ lib/ | wc -l
0

\o/